Ubuntu: Genius MousePen 8×6

19dic09

Hace mucho tiempo que no explicaba como instalar la tableta Genius MousePen 8×6 en Ubuntu y es que tras adquirir un tablet PC uno no se complica la vida. Pero algunas circunstancias me han llevado a querer instalar la Genius MousePen otra vez y la verdad es que todo a avanzado mucho mucho.

Desde Ubuntuforums.org encuentro un post en el que dan un paquete .deb de autoconfiguración e instalación de drivers (versión 0.7) para la tableta y funciona a las mil maravillas. No explican como calibrarla y creo que no se puede en este paquete .deb ya que recuerdo que para calibrarla había que bajarse el tar.gz del driver pero funciona a las mil maravillas y no hay que calentarse la cabeza.

Si miramos que script de autoconfiguración utiliza vemos lo siguiente
#! /bin/bash
echo " "
echo " Scaning for your USB Tablet . . . "
lsusb | grep ablet
echo " "
grep -i name /proc/bus/input/devices | grep ablet
echo " "
echo " Setting up configuration . . . "
cp --verbose --force /usr/share/GeniusMousePen-Driver/99-x11-wizardpen.fdi /etc/hal/fdi/policy/99-x11-wizardpen.fdi
chmod --verbose +w /etc/hal/fdi/policy/99-x11-wizardpen.fdi
chmod --verbose 777 /usr/lib/xorg/modules/input/wizardpen_drv.la
chmod --verbose 777 /usr/lib/xorg/modules/input/wizardpen_drv.so
echo " "
echo " Please reboot your system to start using your Tablet "
echo " "
echo OK

Se puede observar como simplemente instala el driver en las librerias y HAL. Hal sustiyo desde Ubuntu 8.10 al archivo xorg.conf y se configura a base de ficheros .fdi que son un xml con la configuración para el policy de HAL. Más información.

Así que es práctico, sencillo y útil. Muy bonito y recomiendo que utilicen este paquete para instalar las tabletas Genius MousePen sin complicaciones.

About these ads


One Response to “Ubuntu: Genius MousePen 8×6”

  1. Hola, me gustaría saber cómo puedo hacer para instalarlo en Debian ya que me dice lo siguiente:

    dpkg: problemas de dependencias impiden la configuración de geniusmousepen-driver:
    geniusmousepen-driver depende de ubuntu-standard; sin embargo:
    El paquete `ubuntu-standard’ no está instalado.

    muchas gracias


Deja un comentario

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s


Seguir

Recibe cada nueva publicación en tu buzón de correo electrónico.

A %d blogueros les gusta esto: